欢迎光临
一个学习的网站

pip错误“Microsoft Visual C++ 14.0 is required.”解决办法

在Windows系统上使用pip安装一些包时,“Microsoft Visual C++ 14.0 is required.”是个很常见的错误。网上流传的一些办法(如offline安装或二进制安装等)虽能解决,但终究还是在回避问题。

治本的解决办法是,安装Visual C++ 14.0,以解万忧。

首先确定你要安装的Visual C++编译器版本。每个Python版本都使用特定版本的编译器,因此需要安装与Python版本相对应的编译器:

在执行操作之前,先安装或升级Setuptools Python软件包

pip install --upgrade setuptools

直接用 Visual C++ 14.2 编译器的 standalone,不需要安装Visual Studio 2019

  1. 安装Microsoft Build Tools for Visual Studio 2019.;
  2. 在 Build Tools 中,安装“使用C++的桌面开发”并确保安装详细信息的前两项勾选。
  3. setuptools Python包的版本必须至少为34.4.0。

    安装以前的 Visual C++ 14版本(包括2015、2017版本)也可,视开发环境而定。

赞(0) 打赏
转载请注明出处:自习教室 » pip错误“Microsoft Visual C++ 14.0 is required.”解决办法

评论 抢沙发

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址

觉得文章有用就打赏一下文章作者

非常感谢你的打赏,我们将继续给力更多优质内容,让我们一起创建更加美好的网络世界!

支付宝扫一扫打赏

微信扫一扫打赏